summaryrefslogtreecommitdiffstats
path: root/libraries/libglademm
diff options
context:
space:
mode:
author Juan Valencia Escalante2010-05-11 22:54:06 +0200
committer Robby Workman2010-05-11 22:54:06 +0200
commitecd13af5c0d7ba7933f578838ecb314dccf8d136 (patch)
treefdc72fb353e2bb08b75707cc41ac4c671dd6f3a1 /libraries/libglademm
parent4dba6c84c4caf68f8d74684474e861d6c3c42355 (diff)
downloadslackbuilds-ecd13af5c0d7ba7933f578838ecb314dccf8d136.tar.gz
libraries/libglademm: Added to 12.1 repository
Diffstat (limited to 'libraries/libglademm')
-rw-r--r--libraries/libglademm/README8
-rw-r--r--libraries/libglademm/libglademm.SlackBuild98
-rw-r--r--libraries/libglademm/libglademm.info8
-rw-r--r--libraries/libglademm/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/libglademm/README b/libraries/libglademm/README
new file mode 100644
index 0000000000..a66f85c157
--- /dev/null
+++ b/libraries/libglademm/README
@@ -0,0 +1,8 @@
+libglademm (C++ bindings for libglade, using gtkmm)
+
+This package provides a C++ interface for libglademm. It is a
+subpackage of the GTKmm project. The interface provides a convenient
+interface for C++ programmers to create Gnome GUIs with GTK+'s
+flexible object-oriented framework.
+
+This requires gtkmm, which is also available from SlackBuilds.org.
diff --git a/libraries/libglademm/libglademm.SlackBuild b/libraries/libglademm/libglademm.SlackBuild
new file mode 100644
index 0000000000..3d6f25bca5
--- /dev/null
+++ b/libraries/libglademm/libglademm.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for libglademm
+
+# Copyright (C) 2008 Juan Valencia <jvalenciae@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+APP=libglademm
+VERSION=2.6.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-02 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$APP-$VERSION
+cd $TMP
+tar xvf $CWD/$APP-$VERSION.tar.gz
+cd $APP-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-perl=/usr/bin/perl \
+ --enable-eps \
+ --enable-gif \
+ --enable-png \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$APP-$VERSION
+cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP.SlackBuild
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+# We don't need all the reference docs - they're in the source
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+if [ -d $PKG/usr/info ]; then
+ gzip -9 $PKG/usr/info/*.info
+ rm -f $PKG/usr/info/dir
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libglademm/libglademm.info b/libraries/libglademm/libglademm.info
new file mode 100644
index 0000000000..ac64f5db07
--- /dev/null
+++ b/libraries/libglademm/libglademm.info
@@ -0,0 +1,8 @@
+PRGNAM="libglademm"
+VERSION="2.6.6"
+HOMEPAGE="http://www.gtkmm.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/libglademm-2.6.6.tar.gz"
+MD5SUM="d6ef80be1286d9db9af9993731858b78"
+MAINTAINER="Juan Valencia Escalante"
+EMAIL="jvalenciae@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libglademm/slack-desc b/libraries/libglademm/slack-desc
new file mode 100644
index 0000000000..f4351a1460
--- /dev/null
+++ b/libraries/libglademm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libglademm: libglademm (C++ bindings for libglade using gtkmm)
+libglademm:
+libglademm: This package provides a C++ interface for libglademm. It is a
+libglademm: subpackage of the GTKmm project. The interface provides a convenient
+libglademm: interface for C++ programmers to create Gnome GUIs with GTK+'s
+libglademm: flexible object-oriented framework.
+libglademm:
+libglademm: Homepage: http://www.gtkmm.org/
+libglademm:
+libglademm:
+libglademm: